%steam {
  position: absolute;
  width: 0.5vw;
  background: #ffffff7a;
  border-radius: 100%;
  bottom: -5vw;
  opacity: 0;
  animation: steam_rise 3s ease 0s infinite;
}

.steam {
  width: 100%;
  position: relative;

  .steam_1 {
    @extend %steam;
    height: 3vw;
    right: 25%;
  }

  .steam_2 {
    @extend %steam;
    height: 2vw;
    right: 50%;

  }

  .steam_3 {
    @extend %steam;
    height: 4vw;
    right: 70%;
  }
}

@keyframes steam_rise {
  0% {
    opacity: 0.4;
  }
  25% {
    opacity: 0.7;
  }
  50% {
    opacity: 1;
  }
  75% {
    opacity: 0.5;
  }
  100% {
    bottom: 10px;
    opacity: 0.2;
  }
}